Subject: bug#7500: 24.0.50; doc string of `current-kill'

From: "Drew Adams" <[email-masked]>
Date: Sat, 27 Nov 2010 09:18:17 -0800

Please split this long sentence, and make it comprehensible:

 "If N is zero, `interprogram-paste-function' is set, and calling
  it returns a string or list of strings, then that string (or
  list) is added to the front of the kill ring and the string (or
  first string in the list) is returned as the latest kill."

`interprogram-paste-function' is set to what? to the kill-ring head?

Is "and calling it returns..." a statement of one of the _consequences_
of N being 0, or is it a further condition for what follows: "then that
string..." - i.e. "AND _IF_ calling it results... then..."?